Package org.drinkless.tdlib

# Class TdApi.GetMessageThreadHistory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Messages>
org.drinkless.tdlib.TdApi.GetMessageThreadHistory

Enclosing class:
  `TdApi`

public static class TdApi.GetMessageThreadHistory extends TdApi.Function<TdApi.Messages>
Returns messages in a message thread of a message. Can be used only if messageProperties.canGetMessageThread == true. Message thread of a channel message is in the channel's linked supergroup. The messages are returned in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `fromMessageId`
  Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
  `int`
  `limit`
  The maximum number of messages to be returned; must be positive and can't be greater than 100.
  `long`
  `messageId`
  Message identifier, which thread history needs to be returned.
  `int`
  `offset`
  Specify 0 to get results from exactly the message fromMessageId or a negative number from -99 to -1 to get additionally -offset newer messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMessageThreadHistory()`
  Default constructor for a function, which returns messages in a message thread of a message.
  `GetMessageThreadHistory(long chatId, long messageId, long fromMessageId, int offset, int limit)`
  Creates a function, which returns messages in a message thread of a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageId

    public long messageId
    Message identifier, which thread history needs to be returned.

  - ### fromMessageId

    public long fromMessageId
    Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.

  - ### offset

    public int offset
    Specify 0 to get results from exactly the message fromMessageId or a negative number from -99 to -1 to get additionally -offset newer messages.

  - ### limit

    public int limit
    The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, then the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetMessageThreadHistory

    public GetMessageThreadHistory()
    Default constructor for a function, which returns messages in a message thread of a message. Can be used only if messageProperties.canGetMessageThread == true. Message thread of a channel message is in the channel's linked supergroup. The messages are returned in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

    Returns `Messages`

  - ### GetMessageThreadHistory

    public GetMessageThreadHistory(long chatId, long messageId, long fromMessageId, int offset, int limit)
    Creates a function, which returns messages in a message thread of a message. Can be used only if messageProperties.canGetMessageThread == true. Message thread of a channel message is in the channel's linked supergroup. The messages are returned in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

    Returns `Messages`

    Parameters:
      `chatId` - Chat identifier.
      `messageId` - Message identifier, which thread history needs to be returned.
      `fromMessageId` - Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
      `offset` - Specify 0 to get results from exactly the message fromMessageId or a negative number from -99 to -1 to get additionally -offset newer messages.
      `limit` - The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, then the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Messages>`
    Returns:
      this.CONSTRUCTOR